Home

MultiversX Gateway API

v1.1.0
Base URL
https://egld.nownodes.io

API for interacting with the MultiversX blockchain network

Authentication

apiKeyapiKey

API key for authentication

API Key: api-key in header

REST-API

about

GET
https://egld.nownodes.io/about

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the proxy's version and commit hash

Response

200OK

Successful operation

GET
https://egld.nownodes.io/about/nodes-versions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the app versions of the nodes behind the proxy

Response

200OK

Successful operation

address

GET
https://egld.nownodes.io/address/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns data about an address

Parameters

addressstringrequiredpath

The address in bech32 format

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/balance

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the balance of the provided address in string format

Parameters

addressstringrequiredpath

The address in bech32 format

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/nonce

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the nonce of the provided address

Parameters

addressstringrequiredpath

The address in bech32 format

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/username

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the username of the provided address

Parameters

addressstringrequiredpath

The address in bech32 format

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/shard

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the shard ID of the provided address

Parameters

addressstringrequiredpath

The address in bech32 format

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/key/{key}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the value of the provided key for an address

Parameters

addressstringrequiredpath

The address in bech32 format

keystringrequiredpath

Storage key to retrieve

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/esdt

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns all ESDT tokens that the provided address interacted with

Parameters

addressstringrequiredpath

The address in bech32 format

Response

200OK

Successful operation

GET
https://egld.nownodes.io/address/{address}/esdt/{tokenIdentifier}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns ESDT token data for the provided address and token identifier

Parameters

addressstringrequiredpath

The address in bech32 format

tokenIdentifierstringrequiredpath

The token identifier to search for

Response

200OK

Successful operation

network

GET
https://egld.nownodes.io/network/config

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the configuration of the network

Response

200OK

Successful operation

GET
https://egld.nownodes.io/network/economics

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the economics data metric from the last epoch

Response

200OK

Successful operation

transaction

POST
https://egld.nownodes.io/transaction/send

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Sends a transaction to the network

Body

application/json
nonceintegerrequired

Transaction nonce

valuestringrequired

Transaction value in wei

receiverstringrequired

Receiver address in bech32 format

senderstringrequired

Sender address in bech32 format

gasPriceintegerrequired

Gas price

gasLimitintegerrequired

Gas limit

datastring

Transaction data (base64 encoded)

chainIDstringrequired

Network chain identifier

versionintegerrequired

Transaction version

signaturestringrequired

Transaction signature

Response

200OK

Successful operation

400Bad Request

Validation error

GET
https://egld.nownodes.io/transaction/{txhash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the transaction which corresponds to the hash

Parameters

txhashstringrequiredpath

The transaction hash to search for

Response

200OK

Successful operation

GET
https://egld.nownodes.io/transaction/{txhash}/status

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the status of the transaction which corresponds to the hash

Parameters

txhashstringrequiredpath

The transaction hash to search for

Response

200OK

Successful operation

block

GET
https://egld.nownodes.io/block/{shard}/by-nonce/{nonce}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a block by nonce and shard

Parameters

shardintegerrequiredpath

The shard ID to look after

nonceintegerrequiredpath

The block nonce to look after

Response

200OK

Successful operation

hyperblock

GET
https://egld.nownodes.io/hyperblock/by-nonce/{nonce}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Gets the hyperblock at the specified nonce

Parameters

nonceintegerrequiredpath

The nonce to look after

Response

200OK

Successful operation

vm-values

POST
https://egld.nownodes.io/vm-values/query

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Sends a request to the virtual machines and retrieves the result including altered accounts

Body

application/json
scAddressstring

Smart contract address

funcNamestring

Function name to call

callerAddrstring

Caller address

callValuestring

Value to send with the call

argsArray<string>

Function arguments

Response

200OK

Successful operation